

GO

/****** Object:  StoredProcedure [dbo].[ins_doc_documento_evaluacion]    Script Date: 07/26/2013 09:19:26 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_documento_evaluacion]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[ins_doc_documento_evaluacion]
GO


GO

/****** Object:  StoredProcedure [dbo].[ins_doc_documento_evaluacion]    Script Date: 07/26/2013 09:19:26 ******/
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO

CREATE PROCEDURE [dbo].[ins_doc_documento_evaluacion]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documento_evaluacion varchar(300),
		@p_personaEncuestada varchar(100),
		@p_fechaEncuesta_ff smalldatetime,
		@p_id_documento int,
		@p_id_evaluacion int,
		@p_observaciones varchar (1000)
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_documento_evaluacion]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documento_evaluacion],
			[personaEncuestada],
			[fechaEncuesta_ff],
			[id_documento],
			[id_evaluacion],
			[observaciones])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documento_evaluacion,
			@p_personaEncuestada,
			@p_fechaEncuesta_ff,
			@p_id_documento,
			@p_id_evaluacion,
			@p_observaciones)
		SET @v_id = scope_identity()
UPDATE [doc_documento_evaluacion] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END

GO




